#
# spec file for package tcpreplay
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tcpreplay
Version:        4.1.1
Release:        0
Summary:        Network analysis and testing tools
License:        GPL-3.0
Group:          Productivity/Networking/Diagnostic
Url:            http://tcpreplay.appneta.com/
Source0:        https://github.com/appneta/tcpreplay/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/appneta/tcpreplay/releases/download/v%{version}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  libdnet-devel
BuildRequires:  libpcap-devel
BuildRequires:  tcpdump
Requires:       tcpdump
# only needed for suse_version < 1130 (i.e. SLE11)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tcpreplay is a suite of free Open Source utilities for editing and
replaying previously captured network traffic. Originally designed to
replay malicious traffic patterns to Intrusion Detection/Prevention
Systems, it has seen many evolutions including capabilities to replay to
web servers.

Version 4 introduces features and performance enhancements to support
switches, routers, and IP Flow/NetFlow appliances.

%prep
%setup -q

%build
%configure \
  --enable-dynamic-link
make %{?_smp_mflags} V=1

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc docs/LICENSE
%doc docs/CHANGELOG
%{_bindir}/*
%{_mandir}/man1/*

%changelog
